"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toTSX = exports.extension = exports.languageId = void 0;
const svelte2tsx_1 = require("svelte2tsx");
exports.languageId = 'svelte';
exports.extension = '.svelte';
function toTSX(code, className) {
    let result = 'export default function ${className}__AstroComponent_(): any {}';
    try {
        result = `${(0, svelte2tsx_1.svelte2tsx)(code).code}

		let Props = render().props;

		export default function ${className}__AstroComponent_(_props: typeof Props): any {
			<div></div>
		}
	`;
        // Remove default class export from Svelte2TSX since we don't use it and instead add our own
        result = result.replace('export default class', 'class');
    }
    catch (e) {
        return result;
    }
    return result;
}
exports.toTSX = toTSX;
